Package: org.codehaus.groovy.syntax

## [Java] Class RuntimeParserException

- org.codehaus.groovy.syntax.RuntimeParserException

- A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RuntimeParserException (String message, ASTNode node)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `throwParserException()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public RuntimeParserException(String message, ASTNode node)

  - ### Method Detail

    - #### public void throwParserException()